Skip to main content
POST
Create a native report share
Required scopes: reports:publish.

Authorizations

Authorization
string
header
required

Delegated application credential issued after Chatobserver account consent. Restricted to selected workspaces and explicitly supported MCP operations. The MCP server access token is a separate credential and cannot be used here.

Headers

x-workspace-id
string
required

Explicit workspace selected for the delegated account.

Pattern: ^ws_[a-f0-9]{32}$
Idempotency-Key
string<uuid>
required

Path Parameters

reportId
string<uuid>
required

Body

application/json
expectedRevision
integer
required
Required range: x >= 0
expectedDocumentHash
string
required
Pattern: ^[a-f0-9]{64}$
title
string
Maximum string length: 160
accessMode
enum<string>
default:unlisted
Available options:
unlisted,
workspace_sign_in,
authenticated_allowlist,
password
password
string
Required string length: 10 - 128
allowedUserIds
integer[]
Maximum array length: 250
allowedPageIds
string[]
Maximum array length: 100
Required string length: 1 - 256
initialPageId
string
Required string length: 1 - 256
expiresAt
string<date-time> | null
allowDownloadData
boolean
default:false
allowCopyReport
boolean
default:false
watermarkEnabled
boolean
default:true
branding
enum<string>
default:chatobserver
Available options:
chatobserver,
workspace_allowed

Response

Native report share.

data
object
required
replayed
boolean